<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/magpario.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>magpario.h File Reference</h1><code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for magpario.h:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h__incl.png" border="0" usemap="#io_2magpario_8h_map" alt=""/></div>
<map name="io_2magpario_8h_map" id="io_2magpario_8h">
<area shape="rect" id="node3" href="griddata_8h.html" title="griddata.h" alt="" coords="163,86,240,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h__dep__incl.png" border="0" usemap="#io_2magpario_8hdep_map" alt=""/></div>
<map name="io_2magpario_8hdep_map" id="io_2magpario_8hdep">
<area shape="rect" id="node3" href="eminisolve_8c.html" title="emini/eminisolve.c" alt="" coords="5,86,136,117"/><area shape="rect" id="node6" href="magset_8c.html" title="init/magset.c" alt="" coords="184,86,280,117"/><area shape="rect" id="node8" href="modifyprop__par_8c.html" title="init/modifyprop_par.c" alt="" coords="304,86,445,117"/><area shape="rect" id="node10" href="modifyprop__ser_8c.html" title="init/modifyprop_ser.c" alt="" coords="469,86,611,117"/><area shape="rect" id="node12" href="parinit_8c.html" title="init/parinit.c" alt="" coords="635,86,723,117"/><area shape="rect" id="node14" href="serinit_8c.html" title="init/serinit.c" alt="" coords="747,86,835,117"/><area shape="rect" id="node16" href="readinp_8c.html" title="io/readinp.c" alt="" coords="859,86,947,117"/><area shape="rect" id="node18" href="readkrn_8c.html" title="io/readkrn.c" alt="" coords="971,86,1061,117"/><area shape="rect" id="node20" href="readmesh_8c.html" title="io/readmesh.c" alt="" coords="1085,86,1189,117"/><area shape="rect" id="node22" href="readpatran_8c.html" title="io/readpatran.c" alt="" coords="1213,86,1320,117"/><area shape="rect" id="node24" href="writedata_8c.html" title="io/writedata.c" alt="" coords="1344,86,1443,117"/><area shape="rect" id="node26" href="writedataavs_8c.html" title="io/writedataavs.c" alt="" coords="1467,86,1587,117"/><area shape="rect" id="node28" href="writedatadat_8c.html" title="io/writedatadat.c" alt="" coords="1611,86,1728,117"/><area shape="rect" id="node30" href="writefemavs_8c.html" title="io/writefemavs.c" alt="" coords="1752,86,1869,117"/><area shape="rect" id="node32" href="writelog_8c.html" title="io/writelog.c" alt="" coords="1893,86,1984,117"/><area shape="rect" id="node34" href="writelog__pid_8c.html" title="io/writelog_pid.c" alt="" coords="2008,86,2123,117"/><area shape="rect" id="node36" href="checkiterationllg_8c.html" title="llg/checkiterationllg.c" alt="" coords="2147,86,2291,117"/><area shape="rect" id="node38" href="main_8c.html" title="main.c" alt="" coords="2315,86,2376,117"/></map>
</div>

<p><a href="magpario_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76">ReadINP</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, char *fmesh, Vec Vdest, int col)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676">read_one_line</a> (FILE *fd, char *line, int bufsize, char **comment_out)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b">ReadKrn</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a365fc802eafb717ba4c584655d1e9b64">ReadMesh</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a4e53aaaa9226ca0805f1f006e8bda38a">ReadPatran</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8">Vec3VolAvg</a> (Vec v, PetscReal *res)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a617c029487285a8f6077f0397c386342">WriteAVS</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb">WriteDat</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e">WriteSet</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a41117309f66a908930e2597ec0f9526b">WriteDatinit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#afcfe52b023f7bd7762b109bea3096cfc">WriteFEMAVS</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd">WriteLog</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187">WriteLogPid</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magpario_8h.html#a27e3227786ab7e4914fa38aae48dc8f3">WriteMavg</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a85c6fd604f4655acf9edea63969a5676"></a><!-- doxytag: member="magpario.h::read_one_line" ref="a85c6fd604f4655acf9edea63969a5676" args="(FILE *fd, char *line, int bufsize, char **comment_out)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int read_one_line </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>bufsize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&nbsp;</td>
          <td class="paramname"> <em>comment_out</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readkrn_8c_source.html#l00032">32</a> of file <a class="el" href="readkrn_8c_source.html">readkrn.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, and <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a85c6fd604f4655acf9edea63969a5676_icgraph.png" border="0" usemap="#magpario_8h_a85c6fd604f4655acf9edea63969a5676_icgraph_map" alt=""></div>
<map name="magpario_8h_a85c6fd604f4655acf9edea63969a5676_icgraph_map" id="magpario_8h_a85c6fd604f4655acf9edea63969a5676_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="157,18,312,49"/><area shape="rect" id="node14" href="readkrn_8c.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="200,98,269,129"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="361,5,489,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="540,58,599,89"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="543,5,596,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="648,58,699,89"/><area shape="rect" id="node16" href="modifyprop__par_8c.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="372,58,479,89"/><area shape="rect" id="node19" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="372,111,479,142"/><area shape="rect" id="node21" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="540,111,599,142"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac48e244b5ec28e4a0d8a7ce8596bbe76"></a><!-- doxytag: member="magpario.h::ReadINP" ref="ac48e244b5ec28e4a0d8a7ce8596bbe76" args="(GridData *gdata, char *fmesh, Vec Vdest, int col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadINP </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>fmesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>Vdest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>col</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readinp_8c_source.html#l00031">31</a> of file <a class="el" href="readinp_8c_source.html">readinp.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, and <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph.png" border="0" usemap="#magpario_8h_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph_map" alt=""></div>
<map name="magpario_8h_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph_map" id="magpario_8h_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph">
<area shape="rect" id="node3" href="magset_8c.html#a8fd02adfde9e3d9ac120c87dee020678" title="MagSet" alt="" coords="128,6,195,37"/><area shape="rect" id="node11" href="readmesh_8c.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="244,58,327,89"/><area shape="rect" id="node5" href="maginit_8c.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="253,5,317,35"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="377,31,436,62"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="485,31,536,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a59544353738dfce0bdce48409d9b3c8b"></a><!-- doxytag: member="magpario.h::ReadKrn" ref="a59544353738dfce0bdce48409d9b3c8b" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadKrn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readkrn_8c_source.html#l00073">73</a> of file <a class="el" href="readkrn_8c_source.html">readkrn.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00115">GAMMA</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00152">GridData::lenscale</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readkrn_8c_source.html#l00032">read_one_line()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>.</p>

<p>Referenced by <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, and <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_cgraph.png" border="0" usemap="#magpario_8h_a59544353738dfce0bdce48409d9b3c8b_cgraph_map" alt=""></div>
<map name="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_cgraph_map" id="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="127,5,228,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_icgraph.png" border="0" usemap="#magpario_8h_a59544353738dfce0bdce48409d9b3c8b_icgraph_map" alt=""></div>
<map name="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_icgraph_map" id="magpario_8h_a59544353738dfce0bdce48409d9b3c8b_icgraph">
<area shape="rect" id="node3" href="modifyprop__par_8c.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="127,5,233,35"/><area shape="rect" id="node9" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="127,58,233,89"/><area shape="rect" id="node11" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="284,58,343,89"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="284,5,343,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="392,31,443,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a365fc802eafb717ba4c584655d1e9b64"></a><!-- doxytag: member="magpario.h::ReadMesh" ref="a365fc802eafb717ba4c584655d1e9b64" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadMesh </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readmesh_8c_source.html#l00029">29</a> of file <a class="el" href="readmesh_8c_source.html">readmesh.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_cgraph.png" border="0" usemap="#magpario_8h_a365fc802eafb717ba4c584655d1e9b64_cgraph_map" alt=""></div>
<map name="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_cgraph_map" id="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76" title="ReadINP" alt="" coords="147,5,221,35"/><area shape="rect" id="node5" href="magpario_8h.html#a4e53aaaa9226ca0805f1f006e8bda38a" title="ReadPatran" alt="" coords="140,58,228,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_icgraph.png" border="0" usemap="#magpario_8h_a365fc802eafb717ba4c584655d1e9b64_icgraph_map" alt=""></div>
<map name="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_icgraph_map" id="magpario_8h_a365fc802eafb717ba4c584655d1e9b64_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="140,5,199,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="248,5,299,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4e53aaaa9226ca0805f1f006e8bda38a"></a><!-- doxytag: member="magpario.h::ReadPatran" ref="a4e53aaaa9226ca0805f1f006e8bda38a" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadPatran </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readpatran_8c_source.html#l00031">31</a> of file <a class="el" href="readpatran_8c_source.html">readpatran.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph.png" border="0" usemap="#magpario_8h_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph_map" alt=""></div>
<map name="magpario_8h_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph_map" id="magpario_8h_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph">
<area shape="rect" id="node3" href="readmesh_8c.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="145,5,228,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="279,5,337,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="387,5,437,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="acf315ef77c9cda0a419e75748c5ad9a8"></a><!-- doxytag: member="magpario.h::Vec3VolAvg" ref="acf315ef77c9cda0a419e75748c5ad9a8" args="(Vec v, PetscReal *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Vec3VolAvg </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>res</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writelog_8c_source.html#l00048">48</a> of file <a class="el" href="writelog_8c_source.html">writelog.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_acf315ef77c9cda0a419e75748c5ad9a8_icgraph.png" border="0" usemap="#magpario_8h_acf315ef77c9cda0a419e75748c5ad9a8_icgraph_map" alt=""></div>
<map name="magpario_8h_acf315ef77c9cda0a419e75748c5ad9a8_icgraph_map" id="magpario_8h_acf315ef77c9cda0a419e75748c5ad9a8_icgraph">
<area shape="rect" id="node3" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="293,15,384,46"/><area shape="rect" id="node9" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="147,119,245,150"/><area shape="rect" id="node5" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="656,20,709,51"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="901,98,952,128"/><area shape="rect" id="node11" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="303,119,375,150"/><area shape="rect" id="node13" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="432,66,571,96"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="795,148,853,179"/><area shape="rect" id="node19" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="437,119,565,150"/><area shape="rect" id="node23" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="463,226,540,256"/><area shape="rect" id="node28" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="459,172,544,203"/><area shape="rect" id="node25" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="620,226,745,256"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a617c029487285a8f6077f0397c386342"></a><!-- doxytag: member="magpario.h::WriteAVS" ref="a617c029487285a8f6077f0397c386342" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteAVS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>1 sign + 1 digit + 1 decimal point + 5 digits (mantissa) + 1 e + 1 sign + 2 digits (exponent) + 1 space </p>

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00055">55</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>References <a class="el" href="writedataavs_8c_source.html#l00048">D_EID</a>, <a class="el" href="writedataavs_8c_source.html#l00047">D_FLT</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="writedataavs_8c_source.html#l00043">FPRINTF2</a>, <a class="el" href="writedataavs_8c_source.html#l00044">FPRINTF3</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="writedataavs_8c_source.html#l00032">NEDATA</a>, <a class="el" href="writedataavs_8c_source.html#l00033">NEDATA2</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="writedataavs_8c.html#a48365c59700e0898a081cd2299f23c91">nvdata</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>, <a class="el" href="griddata_8h_source.html#l00251">GridData::VHexchani</a>, and <a class="el" href="griddata_8h_source.html#l00257">GridData::VHext</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a617c029487285a8f6077f0397c386342_cgraph.png" border="0" usemap="#magpario_8h_a617c029487285a8f6077f0397c386342_cgraph_map" alt=""></div>
<map name="magpario_8h_a617c029487285a8f6077f0397c386342_cgraph_map" id="magpario_8h_a617c029487285a8f6077f0397c386342_cgraph">
<area shape="rect" id="node3" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="131,5,296,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a617c029487285a8f6077f0397c386342_icgraph.png" border="0" usemap="#magpario_8h_a617c029487285a8f6077f0397c386342_icgraph_map" alt=""></div>
<map name="magpario_8h_a617c029487285a8f6077f0397c386342_icgraph_map" id="magpario_8h_a617c029487285a8f6077f0397c386342_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="132,129,201,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="251,76,389,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="613,101,672,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="475,229,528,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="256,129,384,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="281,23,359,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="277,183,363,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="275,236,365,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="720,140,771,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="439,24,564,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8a2136d4b7b21ac2719c65356c713cbb"></a><!-- doxytag: member="magpario.h::WriteDat" ref="a8a2136d4b7b21ac2719c65356c713cbb" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteDat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00380">380</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_cgraph.png" border="0" usemap="#magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_cgraph_map" alt=""></div>
<map name="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_cgraph_map" id="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_cgraph">
<area shape="rect" id="node3" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="127,58,215,89"/><area shape="rect" id="node5" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="269,6,368,37"/><area shape="rect" id="node9" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="432,58,504,89"/><area shape="rect" id="node13" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="265,110,372,141"/><area shape="rect" id="node7" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="425,5,511,35"/><area shape="rect" id="node11" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="563,110,677,141"/><area shape="rect" id="node16" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="421,162,515,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_icgraph.png" border="0" usemap="#magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_icgraph_map" alt=""></div>
<map name="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_icgraph_map" id="magpario_8h_a8a2136d4b7b21ac2719c65356c713cbb_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="127,129,196,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="245,76,384,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="608,101,667,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="469,229,523,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="251,129,379,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="276,23,353,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="272,183,357,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="269,236,360,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="715,140,765,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="433,24,559,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a41117309f66a908930e2597ec0f9526b"></a><!-- doxytag: member="magpario.h::WriteDatinit" ref="a41117309f66a908930e2597ec0f9526b" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteDatinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afcfe52b023f7bd7762b109bea3096cfc"></a><!-- doxytag: member="magpario.h::WriteFEMAVS" ref="afcfe52b023f7bd7762b109bea3096cfc" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteFEMAVS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>1 sign + 1 digit + 1 decimal point + 5 digits (mantissa) + 1 e + 1 sign + 2 digits (exponent) + 1 space </p>

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00044">44</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

<p>References <a class="el" href="writedataavs_8c_source.html#l00048">D_EID</a>, <a class="el" href="writedataavs_8c_source.html#l00047">D_FLT</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="writedataavs_8c_source.html#l00032">NEDATA</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="writedatadat_8c_source.html#l00033">NVDATA</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, <a class="el" href="griddata_8h_source.html#l00181">GridData::vertvol</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_cgraph.png" border="0" usemap="#magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_cgraph_map" alt=""></div>
<map name="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_cgraph_map" id="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_cgraph">
<area shape="rect" id="node3" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="157,5,323,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_icgraph.png" border="0" usemap="#magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_icgraph_map" alt=""></div>
<map name="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_icgraph_map" id="magpario_8h_afcfe52b023f7bd7762b109bea3096cfc_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="157,5,216,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="264,5,315,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad970cf1663bac1ede525a5caf43750fd"></a><!-- doxytag: member="magpario.h::WriteLog" ref="ad970cf1663bac1ede525a5caf43750fd" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writelog_8c_source.html#l00295">295</a> of file <a class="el" href="writelog_8c_source.html">writelog.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, and <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_cgraph.png" border="0" usemap="#magpario_8h_ad970cf1663bac1ede525a5caf43750fd_cgraph_map" alt=""></div>
<map name="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_cgraph_map" id="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_cgraph">
<area shape="rect" id="node3" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="131,138,229,169"/><area shape="rect" id="node15" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="135,285,225,315"/><area shape="rect" id="node33" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="125,365,235,395"/><area shape="rect" id="node5" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="292,5,401,35"/><area shape="rect" id="node7" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="313,58,380,89"/><area shape="rect" id="node9" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="303,111,391,142"/><area shape="rect" id="node11" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="301,165,392,195"/><area shape="rect" id="node13" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="301,218,392,249"/><area shape="rect" id="node17" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="300,271,393,302"/><area shape="rect" id="node31" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="292,325,401,355"/><area shape="rect" id="node19" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="459,271,547,302"/><area shape="rect" id="node21" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="603,165,712,195"/><area shape="rect" id="node23" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="599,218,716,249"/><area shape="rect" id="node25" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="600,271,715,302"/><area shape="rect" id="node27" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="596,325,719,355"/><area shape="rect" id="node29" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="596,378,719,409"/><area shape="rect" id="node35" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="284,378,409,409"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_icgraph.png" border="0" usemap="#magpario_8h_ad970cf1663bac1ede525a5caf43750fd_icgraph_map" alt=""></div>
<map name="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_icgraph_map" id="magpario_8h_ad970cf1663bac1ede525a5caf43750fd_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="125,76,264,106"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="488,101,547,132"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="349,178,403,209"/><area shape="rect" id="node12" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="131,129,259,160"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="156,22,233,53"/><area shape="rect" id="node21" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="152,233,237,264"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="595,153,645,184"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="313,24,439,54"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa63307197e81d27990850ea179eb5187"></a><!-- doxytag: member="magpario.h::WriteLogPid" ref="aa63307197e81d27990850ea179eb5187" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteLogPid </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writelog__pid_8c_source.html#l00235">235</a> of file <a class="el" href="writelog__pid_8c_source.html">writelog_pid.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00250">GridData::Edem</a>, <a class="el" href="griddata_8h_source.html#l00252">GridData::Eexchani</a>, <a class="el" href="griddata_8h_source.html#l00258">GridData::Eext</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

<p>Referenced by <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_aa63307197e81d27990850ea179eb5187_cgraph.png" border="0" usemap="#magpario_8h_aa63307197e81d27990850ea179eb5187_cgraph_map" alt=""></div>
<map name="magpario_8h_aa63307197e81d27990850ea179eb5187_cgraph_map" id="magpario_8h_aa63307197e81d27990850ea179eb5187_cgraph">
<area shape="rect" id="node3" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="152,111,245,142"/><area shape="rect" id="node17" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="144,165,253,195"/><area shape="rect" id="node5" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="301,111,389,142"/><area shape="rect" id="node7" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="445,5,555,35"/><area shape="rect" id="node9" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="441,58,559,89"/><area shape="rect" id="node11" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="443,111,557,142"/><area shape="rect" id="node13" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="439,165,561,195"/><area shape="rect" id="node15" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="439,218,561,249"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_aa63307197e81d27990850ea179eb5187_icgraph.png" border="0" usemap="#magpario_8h_aa63307197e81d27990850ea179eb5187_icgraph_map" alt=""></div>
<map name="magpario_8h_aa63307197e81d27990850ea179eb5187_icgraph_map" id="magpario_8h_aa63307197e81d27990850ea179eb5187_icgraph">
<area shape="rect" id="node3" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="144,102,216,133"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="264,76,403,106"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="627,101,685,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="488,178,541,209"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="269,129,397,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="295,22,372,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="291,233,376,264"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="733,153,784,184"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="452,24,577,54"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a27e3227786ab7e4914fa38aae48dc8f3"></a><!-- doxytag: member="magpario.h::WriteMavg" ref="a27e3227786ab7e4914fa38aae48dc8f3" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteMavg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7ff05d6bfdfc02445d6245fec57f686e"></a><!-- doxytag: member="magpario.h::WriteSet" ref="a7ff05d6bfdfc02445d6245fec57f686e" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedata_8c_source.html#l00036">36</a> of file <a class="el" href="writedata_8c_source.html">writedata.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_cgraph.png" border="0" usemap="#magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_cgraph_map" alt=""></div>
<map name="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_cgraph_map" id="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="132,58,207,89"/><area shape="rect" id="node7" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="135,111,204,142"/><area shape="rect" id="node25" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="131,218,208,249"/><area shape="rect" id="node47" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="127,165,212,195"/><area shape="rect" id="node5" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="261,58,427,89"/><area shape="rect" id="node9" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="300,111,388,142"/><area shape="rect" id="node11" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="476,163,575,194"/><area shape="rect" id="node15" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="643,111,715,142"/><area shape="rect" id="node19" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="625,58,732,89"/><area shape="rect" id="node13" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="636,5,721,35"/><area shape="rect" id="node17" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="923,59,1037,90"/><area shape="rect" id="node22" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="781,59,875,90"/><area shape="rect" id="node27" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="296,218,392,249"/><area shape="rect" id="node29" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="296,271,392,302"/><area shape="rect" id="node32" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="497,298,553,329"/><area shape="rect" id="node37" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="484,217,567,247"/><area shape="rect" id="node34" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="641,325,716,355"/><area shape="rect" id="node39" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="645,271,712,302"/><area shape="rect" id="node42" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="636,165,721,195"/><area shape="rect" id="node45" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="632,218,725,249"/><area shape="rect" id="node49" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="293,165,395,195"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_icgraph.png" border="0" usemap="#magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_icgraph_map" alt=""></div>
<map name="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_icgraph_map" id="magpario_8h_a7ff05d6bfdfc02445d6245fec57f686e_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="125,76,264,107"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="488,101,547,132"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="349,229,403,260"/><area shape="rect" id="node12" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="131,129,259,160"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="156,23,233,53"/><area shape="rect" id="node21" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="152,183,237,213"/><area shape="rect" id="node25" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="149,236,240,267"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="595,140,645,171"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="313,24,439,55"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

